> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasfarm.md).

# New-RASFarm.md

## NAME

New-RASFarm

## SYNOPSIS

Deploy a new farm on a remote server.

## SYNTAX

**New-RASFarm** -[Server](#server-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**New-RASFarm** -[Password](#password-string) *(SecureString)* -[Server](#server-string) *(string)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Deploys a new farm with Powershell, Console, and Redundancy features installed.

When establishing a connection with a remote server for the first time, remote credentials must be provided. Subsequent New-RASFarm calls will not require credentials.

## PARAMETERS

## Server (string)

Remote server IP or domain name.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

Remote server username.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

Remote server password.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASFarm -Server server.company.dom

Deploy a new farm on server.company.dom

If the user is an Administrator, no remote credentials are needed.\
\*\*---------- EXAMPLE 2 ----------

New-RASFarm -Server server.company.dom -Username Administrator -Password $SecretPassword .

Deploy a new farm on server.company.dom with remote credentials specified.

## RELATED LINKS

* [Remove-RASFarm](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasfarm.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasfarm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
